Last Comment Bug 691306 - Style Inspector MDN help links fail to lead to MDN articles for some properties
: Style Inspector MDN help links fail to lead to MDN articles for some properties
Status: RESOLVED FIXED
[styleinspector]
:
Product: Firefox
Classification: Client Software
Component: Developer Tools (show other bugs)
: unspecified
: x86 All
: P2 normal (vote)
: ---
Assigned To: Michael Ratcliffe [:miker] [:mratcliffe]
:
: J. Ryan Stinnett [:jryans] (use ni?)
Mentors:
Depends on: 697714 672748
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-03 06:16 PDT by Michael Ratcliffe [:miker] [:mratcliffe]
Modified: 2011-11-07 04:14 PST (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Michael Ratcliffe [:miker] [:mratcliffe] 2011-10-03 06:16:33 PDT
The following CSS properties are not listed under https://developer.mozilla.org/en/CSS/property-name. This is because they are listed as SVG attributes at https://developer.mozilla.org/en/SVG/Attribute/property-name instead. The style inspector should point at the correct address.

color-interpolation
color-interpolation-filters
dominant-baseline
fill
fill-opacity
fill-rule
flood-color
flood-opacity
lighting-color
marker-end
marker-mid
marker-start
shape-rendering
stop-color
stop-opacity
stroke
stroke-dasharray
stroke-dashoffset
stroke-linecap
stroke-linejoin
stroke-miterlimit
stroke-opacity
stroke-width
text-anchor

The following properties would work if we strip the -moz- prefix:

-moz-animation-delay
-moz-animation-direction
-moz-animation-duration
-moz-animation-fill-mode
-moz-animation-iteration-count
-moz-animation-name
-moz-animation-play-state
-moz-animation-timing-function
-moz-hyphens
-moz-orient

The following are just missing:

-moz-backface-visibility
-moz-perspective
-moz-perspective-origin
-moz-transform-style

The linking system in the style inspector should deal with these special cases as appropriate.
Comment 1 Michael Ratcliffe [:miker] [:mratcliffe] 2011-10-27 07:51:51 PDT
Seems like the SVG attribute pages have gone missing ... logged bug 697714
Comment 2 Dave Camp (:dcamp) 2011-10-27 08:47:08 PDT
We're doing developer tool prioritization, filter on 'brontozaur'
to ignore the spam.
Comment 3 Jean-Yves Perrier [:teoli] 2011-10-27 11:42:03 PDT
For these cases:
> The following properties would work if we strip the -moz- prefix:

Isn't the problem that there is no redirection between the -moz-animation-* variant and the animation-* ones? (Most of the other -moz-* properties are either proper articles or redirections to the unprefixed article)

If so, the easiest would be to add the missing redirections.

For the four missing properties, they are planned to be documented (unprefixed) with the rest of 3D transforms in the very near future (hopefully next week).
Comment 4 Michael Ratcliffe [:miker] [:mratcliffe] 2011-11-07 03:47:53 PST
All of the -moz pages now redirect correctly.

The following articles lead to an appropriate page (https://developer.mozilla.org/en/SVG/Attribute/attribute-name):
stroke
stroke-dasharray
stroke-linecap
stroke-linejoin
stroke-opacity
stroke-width
text-anchor

Which means that we need at least empty pages for the following (https://developer.mozilla.org/en/SVG/Attribute/attribute-name):
color-interpolation
color-interpolation-filters
dominant-baseline
fill-opacity
fill-rule
flood-color
flood-opacity
lighting-color
marker-end
marker-mid
marker-start
shape-rendering
stop-color
stop-opacity
stroke-dashoffset
stroke-miterlimit
Comment 5 Michael Ratcliffe [:miker] [:mratcliffe] 2011-11-07 04:14:46 PST
All fixed in MDN

Note You need to log in before you can comment on or make changes to this bug.